<?php
/**
 * The Shopper info model.
 *
 * @package flo-checkout
 */

namespace Flo_Checkout\Gateways\Shift4_APM\Responses\Models\Payment;

use JsonSerializable;

defined( 'ABSPATH' ) || exit;

/**
 * Class Shopper_Info_Model
 */
class Shopper_Info_Model implements JsonSerializable {

	/**
	 * The shopper country code.
	 *
	 * @var string $currency
	 */
	public string $country_code;

	/**
	 * Constructor.
	 *
	 * @param array $shopper_info_data The shopper info data.
	 */
	public function __construct( array $shopper_info_data ) {
		$this->country_code = $shopper_info_data['country_code'];
	}

	/**
	 * {@inheritDoc}
	 */
	public function jsonSerialize(): array {
		return array(
			'country_code' => $this->country_code,
		);
	}
}
